API reference

Tax Ids

You can add one or multiple tax IDs to a customer or account. Customer and account tax IDs get displayed on related invoices and credit notes. Related guides: Customer tax identification numbers, Account tax IDs

Knox answers these operations with the same requests and responses as Stripe's API. Authenticate with your secret key, Authorization: Bearer sk_test_..., from your server, and send form-encoded bodies. Test mode only: live processing is currently disabled.

Create a tax ID

POST/v1/tax_ids

Creates a new account or customer tax_id object.

Body parameters

  • typestringRequired

    Type of the tax ID, one of ad_nrt, ae_trn, al_tin, am_tin, ao_tin, ar_cuit, au_abn, au_arn, aw_tin, az_tin, ba_tin, bb_tin, bd_bin, bf_ifu, bg_uic, bh_vat, bj_ifu, bo_tin, br_cnpj, br_cpf, bs_tin, by_tin, ca_bn, ca_gst_hst, ca_pst_bc, ca_pst_mb, ca_pst_sk, ca_qst, cd_nif, ch_uid, ch_vat, cl_tin, cm_niu, cn_tin, co_nit, cr_tin, cv_nif, de_stn, do_rcn, ec_ruc, eg_tin, es_cif, et_tin, eu_oss_vat, eu_vat, fo_vat, gb_vat, ge_vat, gi_tin, gn_nif, hk_br, hr_oib, hu_tin, ic_nif, id_npwp, il_vat, in_gst, is_vat, it_cf, jp_cn, jp_rn, jp_trn, ke_pin, kg_tin, kh_tin, kr_brn, kz_bin, la_tin, li_uid, li_vat, lk_vat, ma_vat, md_vat, me_pib, mk_vat, mr_nif, mx_rfc, my_frp, my_itn, my_sst, ng_tin, no_vat, no_voec, np_pan, nz_gst, om_vat, pe_ruc, ph_tin, pl_nip, py_ruc, ro_tin, rs_pib, ru_inn, ru_kpp, sa_vat, sg_gst, sg_uen, si_tin, sn_ninea, sr_fin, sv_nit, th_vat, tj_tin, tr_tin, tw_vat, tz_vat, ua_vat, ug_tin, us_ein, uy_ruc, uz_tin, uz_vat, ve_rif, vn_tin, za_vat, zm_tin, or zw_tin

    Possible values
    • ad_nrt
    • ae_trn
    • al_tin
    • am_tin
    • ao_tin
    • ar_cuit
    • au_abn
    • au_arn
    • aw_tin
    • az_tin
    • ba_tin
    • bb_tin
    • bd_bin
    • bf_ifu
    • bg_uic
    • bh_vat
    • and 101 more
  • valuestringRequired

    Value of the tax ID.

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • ownerobject

    The account or customer the tax ID belongs to. Defaults to owner[type]=self.

    Show 4 child parameters
    • typestringRequired
      Possible values
      • account
      • application
      • customer
      • self
    • accountstring
    • customerstring
    • customer_accountstring

Returns

The tax_id object.

POST /v1/tax_ids
curl https://api.knoxapi.com/v1/tax_ids \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  -d type=eu_vat \
  -d value=DE123456789
Response
{
  "country": "DE",
  "created": 1234567890,
  "customer": "cus_QXg1o8vcGmoR32",
  "id": "txi_1Pgc6sB7WZ01zgkWXkvC78jZ",
  "livemode": false,
  "object": "tax_id",
  "owner": {
    "customer": "cus_QXg1o8vcGmoR32",
    "type": "customer",
    "customer_account": null
  },
  "type": "eu_vat",
  "value": "DE123456789",
  "verification": {
    "status": "pending",
    "verified_address": null,
    "verified_name": null
  },
  "customer_account": null
}

List all tax IDs

GET/v1/tax_ids

Returns a list of tax IDs.

Query parameters

  • ending_beforestring

    A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • limitinteger

    A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

  • ownerobject

    The account or customer the tax ID belongs to. Defaults to owner[type]=self.

    Show 4 child parameters
    • typestringRequired
      Possible values
      • account
      • application
      • customer
      • self
    • accountstring
    • customerstring
    • customer_accountstring
  • starting_afterstring

    A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Returns

A list of tax_id objects.

GET /v1/tax_ids
curl -G https://api.knoxapi.com/v1/tax_ids \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  --data-urlencode limit=3
Response
{
  "object": "list",
  "url": "/v1/tax_ids",
  "has_more": false,
  "data": [
    {
      "country": "DE",
      "created": 1234567890,
      "customer": "cus_QXg1o8vcGmoR32",
      "id": "txi_1Pgc6sB7WZ01zgkWXkvC78jZ",
      "livemode": false,
      "object": "tax_id",
      "owner": {
        "customer": "cus_QXg1o8vcGmoR32",
        "type": "customer",
        "customer_account": null
      },
      "type": "eu_vat",
      "value": "DE123456789",
      "verification": {
        "status": "pending",
        "verified_address": null,
        "verified_name": null
      },
      "customer_account": null
    }
  ]
}

Retrieve a tax ID

GET/v1/tax_ids/{id}

Retrieves an account or customer tax_id object.

Path parameters

  • idstringRequired

Query parameters

  • expandarray of strings

    Specifies which fields in the response should be expanded.

Returns

The tax_id object.

GET /v1/tax_ids/{id}
curl https://api.knoxapi.com/v1/tax_ids/txi_1Pgc6sB7WZ01zgkWXkvC78jZ \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "country": "DE",
  "created": 1234567890,
  "customer": "cus_QXg1o8vcGmoR32",
  "id": "txi_1Pgc6sB7WZ01zgkWXkvC78jZ",
  "livemode": false,
  "object": "tax_id",
  "owner": {
    "customer": "cus_QXg1o8vcGmoR32",
    "type": "customer",
    "customer_account": null
  },
  "type": "eu_vat",
  "value": "DE123456789",
  "verification": {
    "status": "pending",
    "verified_address": null,
    "verified_name": null
  },
  "customer_account": null
}

Delete a tax ID

DELETE/v1/tax_ids/{id}

Deletes an existing account or customer tax_id object.

Path parameters

  • idstringRequired

Returns

The deleted_tax_id object.

DELETE /v1/tax_ids/{id}
curl -X DELETE https://api.knoxapi.com/v1/tax_ids/txi_1Pgc6sB7WZ01zgkWXkvC78jZ \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "deleted": true,
  "id": "txi_1Pgc6sB7WZ01zgkWXkvC78jZ",
  "object": "tax_id"
}

Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.